<?php

require_once('/usr/fallback/beroConf.php');

class apiCall {

	private $_name, $_parameters, $_files, $_execResult, $_execResultString, $_execResponseCode;

	function __construct ($get = null, $post = null, $files = null) {
		$this->_name = basename(dirname(__FILE__));
		$this->_parameters = array_merge($get, $post);
		$this->_files = $files;
		$this->_execResponseCode = 200;
		$this->_execResultString = 'success';
	}

	function execute () {

		if (!isset($this->_parameters['Mode']) || !in_array($this->_parameters['Mode'], array('enabled', 'disabled'))) {
			$this->_execResultString = 'error:invalid_parameters;';
			$this->_execResult = false;
			$this->_execResponseCode = 405;
			return($this->_execResult);
		}

		$bc = new beroConf('root');

		switch ($this->_parameters['Mode']) {
		case 'enabled':
			$bc->set('root', 'beroAvahi-enabled', '1');
			@exec('/usr/local/init/S90beroAvahi start');
			break;
		case 'disabled':
			@exec('/usr/local/init/S90beroAvahi stop');
			$bc->set('root', 'beroAvahi-enabled', '0');
			break;
		}

		return($this->_execResult);
	}

	function display () {
		return($this->_name . ':' . $this->_execResultString);
	}

	function responsecode () {
		return($this->_execResponseCode);
	}
}

?>
